> For the complete documentation index, see [llms.txt](https://docs.oh.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oh.finance/protocol/oh-yield-index/oh-manager.md).

# Oh! Manager

The `OhManager` contract is the entry point for protocol investment control and revenue management. The Manager contains data about all on-chain Banks, Strategies, Liquidators, and whitelisted Smart Contracts.

Banks are managed by calling any of the following functions:

* `finance()` - Invest all available underlying in the next Strategy queued for the Bank
* `financeAll()` - Invest all available underlying on the Bank evenly across all Strategies
* `rebalance()` - Withdraw all underlying, then invest all available underlying on the Bank evenly across all Strategies

{% hint style="info" %}
Only EOAs (Externally Owned Addresses, i.e. end-users) and whitelisted Smart Contracts can call protocol management functions to prevent attacks
{% endhint %}

## Management Fee

Any user can call the above functions and be rewarded with **2%** of the total profit generated from the transaction, the `managementFee`.

## **Buyback & Burn**

The Manager accrues **20%** of total profit generated during Bank management as a fee to buyback & burn Oh! Tokens, the `buybackFee`. Any user can trigger the `buyback()` function to use accrued revenue to buyback & burn Oh! Tokens.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oh.finance/protocol/oh-yield-index/oh-manager.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
